Index: uspace/drv/usbhub/usbhub.c
===================================================================
--- uspace/drv/usbhub/usbhub.c	(revision f40a1e24252e9904e01ba889c8b1edbbe5cc9d63)
+++ uspace/drv/usbhub/usbhub.c	(revision 3b77628b520eb4eb2108181a33848556e4d06e36)
@@ -26,5 +26,5 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  */
-/** @addtogroup usb hub driver
+/** @addtogroup usbhub
  * @{
  */
@@ -76,5 +76,5 @@
 	//get some hub info
 	usb_address_t addr = usb_drv_get_my_address(hc, device);
-	dprintf(1,"[usb_hub] address of newly created hub = %d", addr);
+	dprintf(1, "address of newly created hub = %d", addr);
 	/*if(addr<0){
 		//return result;
@@ -100,5 +100,5 @@
 
 	if (opResult != EOK) {
-		dprintf(1,"[usb_hub] failed when receiving hub descriptor, badcode = %d",opResult);
+		dprintf(1, "failed when receiving hub descriptor, badcode = %d",opResult);
 		free(serialized_descriptor);
 		return result;
@@ -107,5 +107,5 @@
 	descriptor = usb_deserialize_hub_desriptor(serialized_descriptor);
 	if(descriptor==NULL){
-		dprintf(1,"[usb_hub] could not deserialize descriptor ");
+		dprintf(1, "could not deserialize descriptor ");
 		result->port_count = 1;///\TODO this code is only for debug!!!
 		return result;
@@ -127,5 +127,5 @@
 	//finish
 
-	dprintf(1,"[usb_hub] hub info created");
+	dprintf(1, "hub info created");
 
 	return result;
@@ -134,5 +134,5 @@
 int usb_add_hub_device(device_t *dev) {
 	dprintf(1, "add_hub_device(handle=%d)", (int) dev->handle);
-	dprintf(1,"[usb_hub] hub device");
+	dprintf(1, "hub device");
 
 	/*
@@ -162,12 +162,12 @@
 	usb_standard_device_descriptor_t std_descriptor;
 	opResult = usb_drv_req_get_device_descriptor(hc, target.address,
-    &std_descriptor);
+	    &std_descriptor);
 	if(opResult!=EOK){
-		dprintf(1,"[usb_hub] could not get device descriptor, %d",opResult);
+		dprintf(1, "could not get device descriptor, %d",opResult);
 		return opResult;
 	}
-	dprintf(1,"[usb_hub] hub has %d configurations",std_descriptor.configuration_count);
+	dprintf(1, "hub has %d configurations",std_descriptor.configuration_count);
 	if(std_descriptor.configuration_count<1){
-		dprintf(1,"[usb_hub] THERE ARE NO CONFIGURATIONS AVAILABLE");
+		dprintf(1, "THERE ARE NO CONFIGURATIONS AVAILABLE");
 		//shouldn`t I return?
 	}
@@ -178,5 +178,5 @@
         &config_descriptor);
 	if(opResult!=EOK){
-		dprintf(1,"[usb_hub] could not get configuration descriptor, %d",opResult);
+		dprintf(1, "could not get configuration descriptor, %d",opResult);
 		return opResult;
 	}
@@ -186,5 +186,5 @@
 
 	if (opResult != EOK) {
-		dprintf(1,"[usb_hub]something went wrong when setting hub`s configuration, %d", opResult);
+		dprintf(1, "something went wrong when setting hub`s configuration, %d", opResult);
 	}
 
@@ -193,7 +193,7 @@
 		usb_hub_set_power_port_request(&request, port);
 		opResult = usb_drv_sync_control_write(hc, target, &request, NULL, 0);
-		dprintf(1,"[usb_hub] powering port %d",port);
+		dprintf(1, "powering port %d",port);
 		if (opResult != EOK) {
-			dprintf(1,"[usb_hub]something went wrong when setting hub`s %dth port", port);
+			dprintf(1, "something went wrong when setting hub`s %dth port", port);
 		}
 	}
@@ -207,5 +207,5 @@
 	futex_up(&usb_hub_list_lock);
 
-	dprintf(1,"[usb_hub] hub info added to list");
+	dprintf(1, "hub info added to list");
 	//(void)hub_info;
 	usb_hub_check_hub_changes();
@@ -213,9 +213,9 @@
 	
 
-	dprintf(1,"[usb_hub] hub dev added");
-	dprintf(1,"\taddress %d, has %d ports ",
+	dprintf(1, "hub dev added");
+	dprintf(1, "\taddress %d, has %d ports ",
 			hub_info->usb_device->address,
 			hub_info->port_count);
-	dprintf(1,"\tused configuration %d",config_descriptor.configuration_number);
+	dprintf(1, "\tused configuration %d",config_descriptor.configuration_number);
 
 	return EOK;
@@ -238,8 +238,8 @@
 inline static int usb_hub_release_default_address(int hc){
 	int opResult;
-	dprintf(1,"[usb_hub] releasing default address");
+	dprintf(1, "releasing default address");
 	opResult = usb_drv_release_default_address(hc);
 	if (opResult != EOK) {
-		dprintf(1,"[usb_hub] failed to release default address");
+		dprintf(1, "failed to release default address");
 	}
 	return opResult;
@@ -255,9 +255,9 @@
 	usb_device_request_setup_packet_t request;
 	int opResult;
-	dprintf(1,"[usb_hub] some connection changed");
+	dprintf(1, "some connection changed");
 	//get default address
 	opResult = usb_drv_reserve_default_address(hc);
 	if (opResult != EOK) {
-		dprintf(1,"[usb_hub] cannot assign default address, it is probably used");
+		dprintf(1, "cannot assign default address, it is probably used");
 		return;
 	}
@@ -270,5 +270,5 @@
 			);
 	if (opResult != EOK) {
-		dprintf(1,"[usb_hub] something went wrong when reseting a port");
+		dprintf(1, "something went wrong when reseting a port");
 		usb_hub_release_default_address(hc);
 	}
@@ -285,9 +285,9 @@
 
 	int opResult;
-	dprintf(1,"[usb_hub] finalizing add device");
+	dprintf(1, "finalizing add device");
 	opResult = usb_hub_clear_port_feature(hc, target.address,
 	    port, USB_HUB_FEATURE_C_PORT_RESET);
 	if (opResult != EOK) {
-		dprintf(1,"[usb_hub] failed to clear port reset feature");
+		dprintf(1, "failed to clear port reset feature");
 		usb_hub_release_default_address(hc);
 		return;
@@ -297,15 +297,15 @@
 	usb_address_t new_device_address = usb_drv_request_address(hc);
 	if (new_device_address < 0) {
-		dprintf(1,"[usb_hub] failed to get free USB address");
+		dprintf(1, "failed to get free USB address");
 		opResult = new_device_address;
 		usb_hub_release_default_address(hc);
 		return;
 	}
-	dprintf(1,"[usb_hub] setting new address");
+	dprintf(1, "setting new address");
 	opResult = usb_drv_req_set_address(hc, USB_ADDRESS_DEFAULT,
 	    new_device_address);
 
 	if (opResult != EOK) {
-		dprintf(1,"[usb_hub] could not set address for new device");
+		dprintf(1, "could not set address for new device");
 		usb_hub_release_default_address(hc);
 		return;
@@ -322,5 +322,5 @@
             new_device_address, &child_handle);
 	if (opResult != EOK) {
-		dprintf(1,"[usb_hub] could not start driver for new device");
+		dprintf(1, "could not start driver for new device");
 		return;
 	}
@@ -330,8 +330,8 @@
 	opResult = usb_drv_bind_address(hc, new_device_address, child_handle);
 	if (opResult != EOK) {
-		dprintf(1,"[usb_hub] could not assign address of device in hcd");
-		return;
-	}
-	dprintf(1,"[usb_hub] new device address %d, handle %zu",
+		dprintf(1, "could not assign address of device in hcd");
+		return;
+	}
+	dprintf(1, "new device address %d, handle %zu",
 	    new_device_address, child_handle);
 
@@ -358,12 +358,10 @@
 		opResult = usb_drv_release_address(hc,hub->attached_devs[port].address);
 		if(opResult != EOK) {
-			dprintf(1,
-					"[usb_hub] could not release address of removed device: %d"
-					,opResult);
+			dprintf(1, "could not release address of " \
+			    "removed device: %d", opResult);
 		}
 		hub->attached_devs[port].address = 0;
 	}else{
-		dprintf(1,
-				"[usb_hub] this is strange, disconnected device had no address");
+		dprintf(1, "this is strange, disconnected device had no address");
 		//device was disconnected before it`s port was reset - return default address
 		usb_drv_release_default_address(hc);
@@ -379,5 +377,5 @@
 static void usb_hub_process_interrupt(usb_hub_info_t * hub, int hc,
         uint16_t port, usb_address_t address) {
-	dprintf(1,"[usb_hub] interrupt at port %d", port);
+	dprintf(1, "interrupt at port %d", port);
 	//determine type of change
 	usb_target_t target;
@@ -397,9 +395,9 @@
 			);
 	if (opResult != EOK) {
-		dprintf(1,"[usb_hub] ERROR: could not get port status");
+		dprintf(1, "ERROR: could not get port status");
 		return;
 	}
 	if (rcvd_size != sizeof (usb_port_status_t)) {
-		dprintf(1,"[usb_hub] ERROR: received status has incorrect size");
+		dprintf(1, "ERROR: received status has incorrect size");
 		return;
 	}
@@ -410,5 +408,5 @@
 		// TODO: check opResult
 		if (usb_port_dev_connected(&status)) {
-			dprintf(1,"[usb_hub] some connection changed");
+			dprintf(1, "some connection changed");
 			usb_hub_init_add_device(hc, port, target);
 		} else {
@@ -418,9 +416,9 @@
 	//port reset
 	if (usb_port_reset_completed(&status)) {
-		dprintf(1,"[usb_hub] port reset complete");
+		dprintf(1, "port reset complete");
 		if (usb_port_enabled(&status)) {
 			usb_hub_finalize_add_device(hub, hc, port, target);
 		} else {
-			dprintf(1,"[usb_hub] ERROR: port reset, but port still not enabled");
+			dprintf(1, "ERROR: port reset, but port still not enabled");
 		}
 	}
@@ -431,5 +429,5 @@
 	usb_port_set_dev_connected(&status, false);
 	if (status>>16) {
-		dprintf(1,"[usb_hub]there was some unsupported change on port %d: %X",port,status);
+		dprintf(1, "there was some unsupported change on port %d: %X",port,status);
 
 	}
@@ -460,5 +458,5 @@
 		target.address = hub_info->usb_device->address;
 		target.endpoint = 1;/// \TODO get from endpoint descriptor
-		dprintf(1,"[usb_hub] checking changes for hub at addr %d",
+		dprintf(1, "checking changes for hub at addr %d",
 		    target.address);
 
@@ -490,5 +488,5 @@
 
 		if (opResult != EOK) {
-			dprintf(1,"[usb_hub] something went wrong while getting status of hub");
+			dprintf(1, "something went wrong while getting status of hub");
 			continue;
 		}
